# Git в Bash

Для работы с Git часто будет требоваться командная строка. Хотя тут может быть большое количество личных предпочтений (PowerShell, zsh, fish), но пожалуй самый распостраненный случай когда пользователь будет использовать Bash. Такая возможность есть и в Windows (Git-bash) и в Linux, а также в различных вариантах embedded Linux устройств.

Потому хочется так настроить Bash чтобы им было удобно пользоваться.
[В официальном репозитории Git](https://github.com/git/git/tree/master/contrib/completion) уже есть все необходимо для этого. 

- git-completion.bash - позволяет по нажатию `<TAB>` делать автодополнение комманд Git.
- git-prompt.sh - позволяет отображать полезные подсказки в promt терминала.

Если кто-то захочет разобраться во всех тонкостях настройки Bash, то он это сделает по официальной документации, и ничто не сможет его остановить. Я же предложу простой путь. Просто скачать и установить мою конфигурацию.

Для этого скачиваем [архив конфигурации](../../../../raw/branch/main/src/home-config/home-config.zip) и распаковываем в домашнюю папку пользователя с заменой. Не забываем перелогиниться чтобы изменения вступили в силу.

Теперь Bash будет автоматически распознавать что вы находитесь внутри репозитория Git и делать подсказки по работе.
