# Установка TortoiseGIT в windows.

Перед тем как устанавливать TortoiseGit надо [установить Git for windows](GIT-install-win.md).

Скачиваем с официального сайта: https://tortoisegit.org/download/

Запускаем установку.

<p align="center"> <img src="images/TortoiseGit_install_01.png"></p>

---

Далее.
<p align="center"> <img src="images/TortoiseGit_install_02.png"></p>

---

Проверяем что будут установлены все компоненты.
<p align="center"> <img src="images/TortoiseGit_install_03.png"></p>

---

Запускаем процесс установки.
<p align="center"> <img src="images/TortoiseGit_install_04.png"></p>

---

<p align="center"> <img src="images/TortoiseGit_install_05.png"></p>

---

Убираем галочку "Мастера настроек". Все настройки будем делать явным образом в Git и в TortoiseGit. Завершаем установку.
<p align="center"> <img src="images/TortoiseGit_install_06.png"></p>

---
После установки TortoiseGit соответствующие пункты появятся в контекстном меню проводника. Открываем настройки.
<p align="center"> <img src="images/TortoiseGit_install_07.png"></p>

---

В настройках "Context Menu" рекомендую дополнительно включить:
- Diff
- Show log
- Revert

<p align="center"> <img src="images/TortoiseGit_install_08.png"></p>

---

Чтобы значки отображались на сетевых и других дисках необходимо включить соответствующие галочики в:
```
Settings -> Icon Overlays
```
<p align="center"> <img src="images/TortoiseGit_install_09.png"></p>

---

Меняем набор иконок на "Illustration"
(самый красивый)
```
Settings -> Icon Overlays -> Icon Set
```
<p align="center"> <img src="images/TortoiseGit_install_10.png"></p>

---

Чтобы TortiseGit переключился на использование OpenSSH надо в настройках
``` 
Settings -> Network -> SSH client
```
поменять клиент на
```
C:\Program Files\Git\usr\bin\ssh.exe
```
<p align="center"> <img src="images/TortoiseGit_install_11.png"></p>

---

Для того чтобы удобно просматривать изменения рекомендую установить [WinMerge](https://winmerge.org/).

После установки чтобы TortoiseGit использовал WinMerge по умолчанию необходимо указать его в настройках.

``` 
Settings -> Diff Viewer
```

переключаем на External и вводим путь к установленному WinMerge c ключами:

```
C:\Program Files (x86)\WinMerge\WinMergeU.exe -e -ub -dl %bname -dr %yname %base %mine
```

<p align="center"> <img src="images/TortoiseGit_install_12.png"></p>

``` 
Settings -> Diff Viewer -> Merge Tool
```

также переключаем на External и вводим путь к установленному WinMerge c ключами:

```
C:\Program Files (x86)\WinMerge\WinMergeU.exe /e /ub /fm /wl /wr /dl %tname /dm %bname /dr %yname  %theirs %base %mine /o %merged
```

<p align="center"> <img src="images/TortoiseGit_install_13.png"></p>

Не забываем перезагрузить компьютер чтобы все изменения вступили в силу.