# Установка GIT в windows.

Официальный сайт Git: https://git-scm.com/

Скачиваем и устанавливаем...

Путь установки оставим по умолчанию.

<p align="center"> <img src="images/Git_Install1.png"></p>

---

Тут вопрос удобства. Если не знаем что выбрать, то можно оставить по умолчанию.

<p align="center"> <img src="images/Git_Install2.png"></p>

---

Далее

<p align="center"> <img src="images/Git_Install3.png"></p>

---

Git поддерживает несколько редакторов. Этот редактор будет появляться каждый раз когда у Git появятся к вам вопросы. Лучше конечно использовать консольный редактор, т.к. не всегда получится использовать GUI редактор из консоли.

Для начинающих хорошо подойдет "Nano"

<p align="center"> <img src="images/Git_Install4.png"></p>

---

Раньше ветка по умолчанию называлась *master*. Теперь же Git стал толерантным и предлагает изменить ее на *main*. Я выбираю *main* просто потому что там на 2 буквы меньше чем в *master* :)

<p align="center"> <img src="images/Git_Install5.png"></p>

---

**Важная настройка!**
Выбираем средний пункт чтобы другой софт мог использовать Git тоже.

<p align="center"> <img src="images/Git_Install6.png"></p>

---

Используем встроенный в Git OpenSSH.

<p align="center"> <img src="images/Git_Install7.png"></p>

---

Оставляем по умолчанию.

<p align="center"> <img src="images/Git_Install8.png"></p>

---

Git может автоматически менять окончания строк (Windows <-> Linux) при чекаутах и коммитах. Предпочитаю отключить эту опцию и не менять эти файлы. Если понадобится в будущем, то можно будет включить для определенных репозиториев.

Иначе могут быть странные поведения когда клонированный в виртуальную WSL машину репозиторий при просмотре через windows выклядит как измененный.

<p align="center"> <img src="images/Git_Install9.png"></p>

---

Оставляем по умолчанию.

<p align="center"> <img src="images/Git_Install10.png"></p>

---

Поведение команды pull по умолчанию. Поскольку pull это две команды в одной (fetch и merge), то существует риск получить нежелательные действия в локальной ветке типа merge или rebase. Предпочитаю такие вещи контролировать самостоятельно, потому отключаю все кроме простой "перемотки".

<p align="center"> <img src="images/Git_Install11.png"></p>

---

Менеджер "секретов" для двухфакторной авторизации через https. 

Не пользуюсь. Т.к. работаю через ssh.

<p align="center"> <img src="images/Git_Install12.png"></p>

---

Оставляем по умолчанию.

<p align="center"> <img src="images/Git_Install13.png"></p>

---

Экспериментальные фичи. Будем тестировать позже, когда доделают.

<p align="center"> <img src="images/Git_Install14.png"></p>

---

Готово!

<p align="center"> <img src="images/Git_Install15.png"></p>

Перезагружаемся.




