# Visual Studio Code

Очень популярный редактор для разработчиков. Достаточно простой с кучей дополнительных расширений которые можно установить из маркета. 

В отличие от Eclipse быстрый, минималистичный и намного проще в настройке.

<details><summary>Отладка:</summary>
<p align="center"> <img src="images/vscode_demo.gif" width="900"></p>
</details>
<details><summary>Работа с GIT:</summary>
<p align="center"> <img src="images/vscode_graph_demo.gif" width="900"></p>
</details>
<details><summary>Работа через SSH:</summary>
<p align="center"> <img src="images/vscode_ssh_demo.gif" width="900"></p>
</details>
<details><summary>Запуск из консоли:</summary>
<p align="center"> <img src="images/vscode_wsl_demo.gif" width="900"></p>
</details>

Основные достоинства:
- Минималистичный
- Кроссплатформенный
- Отладка по SSH и в WSL
- Простой в настройке
- Встроенный Git
- Терминал
- поддерживает SWO и SEGGER RTT

## Установка

На [официальном сайте](https://code.visualstudio.com/Download) можно скачать различные версии для установки.

- User (только для одного пользователя)
- System (если пользователь Администратор)

Если есть права администратора, то рекомендую устанавливать [x64 System версию](https://code.visualstudio.com/docs/?dv=win64).

Если при запуске инсталятора выскакивает похожее окно, то вы пытаетесь установить не ту версию.
<p align="center"> <img src="images/vscode1.png"></p>

## VS Code uninstall

Если нужно полностью удалить VS Code, то кроме обычного удаления через Uninstall, нужно также почистить следующие папки:
- `C:\Program Files\Microsoft VS Code`
- `%USERPROFILE%\.vscode`
- `%AppData%\Code`

